﻿using System;

namespace SalaryInfoProgram
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Salary Info Program");
            Console.WriteLine("-------------------");

            // Ask the user for the employee's name
            Console.Write("Enter the employee's name: ");
            string employeeName = Console.ReadLine();

            double ratePerDay;

            // Ensure valid input for rate per day
            while (true)
            {
                Console.Write("Enter the rate per day: ");
                if (double.TryParse(Console.ReadLine(), out ratePerDay) && ratePerDay >= 0)
                {
                    break; // Exit the loop on valid input
                }
                else
                {
                    Console.WriteLine("Invalid input. Please enter a valid non-negative number for the rate per day.");
                }
            }

            // Calculate salary for 15 days
            double salaryFor15Days = ratePerDay * 15;

            // Calculate salary for 30 days
            double salaryFor30Days = ratePerDay * 30;

            // Calculate rate per hour (assuming 8 hours per day)
            double ratePerHour = ratePerDay / 8;

            // Calculate salary for 300 hours
            double salaryFor300Hours = ratePerHour * 300;

            // Calculate 12% tax
            double tax = (salaryFor30Days * 0.12);

            // Display the results
            Console.WriteLine($"Employee Name: {employeeName}");
            Console.WriteLine($"Salary for 15 days: {salaryFor15Days:C}");
            Console.WriteLine($"Salary for 30 days: {salaryFor30Days:C}");
            Console.WriteLine($"Rate per hour: {ratePerHour:C}");
            Console.WriteLine($"Salary for 300 hours: {salaryFor300Hours:C}");
            Console.WriteLine($"12% Tax: {tax:C}");

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }
}
